package config

import ai "ai-css/library/modelprovider/consts"

type LocalRepo struct {
	cfg map[ai.ProviderName]ProviderConfig
}

func NewLocalRepo(cfg map[ai.ProviderName]ProviderConfig) *LocalRepo {
	return &LocalRepo{cfg: cfg}
}

func (repo *LocalRepo) GetAllConfig() (map[ai.ProviderName]ProviderConfig, error) {
	return repo.cfg, nil
}
